grip
Browse all symbols documented inside this include file.
Functions
| Name | Description |
|---|---|
| grip_get_response_state | Gets state of the response. |
| grip_get_response_status_code | Gets HTTP status code of the response. |
| grip_is_request_active | Returns whether request exists/active. |
| grip_body_from_string | Creates new body handle from string |
| grip_body_from_json | Creates new body handle from string |
| grip_destroy_body | Destroys body handle |
| grip_request | Starts sending of the request |
| grip_cancel_request | Cancel sending of the request and receiving of response. |
| grip_get_error_description | Get current error description. Implementation defined. |
| grip_get_response_body_string | Get current response body as string. |
| grip_destroy_json_value | Destroy this JSON value |
| grip_create_default_options | Create options with empty headers and some timeout. |
| grip_destroy_options | Destroy this options |
| grip_options_add_header | Add HTTP Header to this options. . |
| grip_json_parse_response_body | Parse current response body as JSON. |
| grip_json_parse_string | Parses string that contains JSON. |
| grip_json_parse_file | Parses file that contains JSON. |
| grip_json_equals | Checks if the first value is the same as the second one. |
| grip_json_validate | Validates json by checking if object have identically named fields with matching types. |
| grip_json_get_type | Gets JSON type of passed value. |
| grip_json_init_object | Inits an empty object. |
| grip_json_init_array | Inits an empty array. |
| grip_json_init_string | Inits string data. |
| grip_json_init_number | Inits a number. |
| grip_json_init_float | Inits a float number. |
| grip_json_init_bool | Inits a boolean value. |
| grip_json_init_null | Inits a null. |
| grip_json_deep_copy | Creates deep copy of passed value. |
| grip_json_get_string | Gets string data. |
| grip_json_get_number | Gets a number. |
| grip_json_get_float | — |
| grip_json_get_bool | Gets a boolean value. |
| grip_json_array_get_value | Gets a value from the array. |
| grip_json_array_get_string | Gets string data from the array. |
| grip_json_array_get_number | Gets a number from the array. |
| grip_json_array_get_float | — |
| grip_json_array_get_bool | Gets a boolean value from the array. |
| grip_json_array_get_count | Gets count of the elements in the array. |
| grip_json_array_replace_value | Replaces an element in the array with value. |
| grip_json_array_replace_string | Replaces an element in the array with string data. |
| grip_json_array_replace_number | Replaces an element in the array with number. |
| grip_json_array_replace_float | Replaces an element in the array with real number. |
| grip_json_array_replace_bool | Replaces an element in the array with boolean value. |
| grip_json_array_replace_null | Replaces an element in the array with null. |
| grip_json_array_append_value | Appends a value in the array. |
| grip_json_array_append_string | Appends string data in the array. |
| grip_json_array_append_number | Appends a number in the array. |
| grip_json_array_append_float | Appends a real number in the array. |
| grip_json_array_append_bool | Appends a boolean value in the array. |
| grip_json_array_append_null | Appends a null in the array. |
| grip_json_array_remove | Removes an element from the array. |
| grip_json_array_clear | Removes all elements from the array. |
| grip_json_object_get_value | Gets a value from the object. |
| grip_json_object_get_string | Gets string data from the object. |
| grip_json_object_get_number | Gets a number from the object. |
| grip_json_object_get_float | Gets a real number from the object. |
| grip_json_object_get_bool | Gets a boolean value from the object. |
| grip_json_object_get_count | Gets count of the keys in the object. |
| grip_json_object_get_name | Gets name of the object's key. |
| grip_json_object_get_value_at | Gets a value at the specified position from the object. |
| grip_json_object_has_value | Checks if the object has a value with a specific name and type. |
| grip_json_object_set_value | Sets a value in the object. |
| grip_json_object_set_string | Sets string data in the object. |
| grip_json_object_set_number | Sets a number in the object. |
| grip_json_object_set_float | Sets a real number in the object. |
| grip_json_object_set_bool | Sets a boolean value in the object. |
| grip_json_object_set_null | Sets a null in the object. |
| grip_json_object_remove | Removes a key and its value in the object. |
| grip_json_object_clear | Removes all keys and their values in the object. |
| grip_json_serial_size | Gets size of serialization. |
| grip_json_serial_to_string | Copies serialized string to the buffer. |
| grip_json_serial_to_file | Copies serialized string to the file. |